Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("CRM")> _
Public Class CRMTaskType '-- Feladat tipus
    Inherits BaseObject
    Private _CRMTaskType As eCRMTaskType
    Private _ShortName As String '-- Megnevezés
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property CRMTaskType() As eCRMTaskType
        Get
            Return _CRMTaskType
        End Get
        Set(ByVal value As eCRMTaskType)
            SetPropertyValue("CRMTaskType", _CRMTaskType, value)
        End Set
    End Property
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
End Class


